use sea_query::*;

use crate::ClickhouseQueryBuilder;

impl ForeignKeyBuilder for ClickhouseQueryBuilder {
    fn prepare_foreign_key_drop_statement_internal(
        &self,
        _drop: &ForeignKeyDropStatement,
        _sql: &mut impl SqlWriter,
        _mode: Mode,
    ) {
    }

    fn prepare_foreign_key_create_statement_internal(
        &self,
        _create: &ForeignKeyCreateStatement,
        _sql: &mut impl SqlWriter,
        _mode: Mode,
    ) {
    }

    fn prepare_table_ref_fk_stmt(&self, table_ref: &TableRef, sql: &mut impl SqlWriter) {
        match table_ref {
            TableRef::Table(.., None) => self.prepare_table_ref_iden(table_ref, sql),
            _ => panic!("Not supported"),
        }
    }
}
